summaryrefslogtreecommitdiffstats
path: root/.travis/trigger_artifact_build.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2021-12-01 06:15:04 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2021-12-01 06:15:04 +0000
commite970e0b37b8bd7f246feb3f70c4136418225e434 (patch)
tree0b67c0ca45f56f2f9d9c5c2e725279ecdf52d2eb /.travis/trigger_artifact_build.sh
parentAdding upstream version 1.31.0. (diff)
downloadnetdata-e970e0b37b8bd7f246feb3f70c4136418225e434.tar.xz
netdata-e970e0b37b8bd7f246feb3f70c4136418225e434.zip
Adding upstream version 1.32.0.upstream/1.32.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '.travis/trigger_artifact_build.sh')
-rwxr-xr-x.travis/trigger_artifact_build.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/.travis/trigger_artifact_build.sh b/.travis/trigger_artifact_build.sh
new file mode 100755
index 000000000..3ec5d02d0
--- /dev/null
+++ b/.travis/trigger_artifact_build.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+token="${1}"
+version="${2}"
+type="${3}"
+
+resp="$(curl -X POST \
+ -H 'Accept: application/vnd.github.v3+json' \
+ -H "Authorization: Bearer ${token}" \
+ "https://api.github.com/repos/netdata/netdata/actions/workflows/build.yml/dispatches" \
+ -d "{\"ref\": \"master\", \"inputs\": {\"version\": \"${version}\", \"type\": \"${type}\"}}")"
+
+if [ -z "${resp}" ]; then
+ echo "Successfully triggered release artifact build."
+ exit 0
+else
+ echo "Failed to trigger release artifact build. Output:"
+ echo "${resp}"
+ exit 1
+fi